Bug 803541 - Unsupported/Unavailable Features
Unsupported/Unavailable Features
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
All All
unspecified Severity urgent
: ---
: 6.0.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 20:00 EDT by Misha H. Ali
Modified: 2012-08-15 12:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 18:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-03-14 20:00:26 EDT
The following is a list of features to be listed in the JDG Beta documentation as unsupported/unavailable features.

I recommend adding the list as-is to a single topic in the beta documentation. This allows users seeking a feature familiar to them from ISPN to get a result with the heading "Unavailable Features" and also is unobtrusive enough to not call out attention to features that are not available if users do not seek them specifically.

Need ACK from Alan, Tristan and possibly Manik regarding the list:

Unsupported EDG 6 Features

* Chaining Multiple Cache Loaders
* Embedded Mode
* Map/Reduce
* Programmatic configuration
* Fluent programmatic configuration
* JBDM Cache Store
* Cassandra Cache Store
* CloudCacheStore
* Configuration Migration tools
* JTA Transactions
* Transaction recovery
* Transaction batching
* Use as a 2nd level cache for Hibernate
* Listener and Notification for Cache-level and CacheManager-level events
* Synchronous and Asynchronous Notification
* Configuration of Async Thread Pool
* Per-invocation flags
* Grouping API
* Custom Interceptors
* Key Affinity Service
* Cache Manager using CDI 
* Custom Cache Configuration using CDI
* Cache Events using CDI
* Spring Integration
* Lucene Integration
* Cache Query

These features are gathered from the ERD. Is there anything on this list that should not be there (likely not but a sanity check is a good idea). Please comment with ACK if you are OK with this list as it stands.
Comment 1 Alan Santos 2012-03-16 13:47:12 EDT
looks correct to me - ack'd
Comment 2 Misha H. Ali 2012-03-22 22:10:32 EDT
Documented as ACKed here:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Beta_Documentation/Unavailable_Features.html

Setting this to ON_QA.
Comment 3 Martin Gencur 2012-03-26 04:47:04 EDT
Is the Beta documentation supposed to talk only about Remote datagrid? If yes, than I would ACK the list.

Note You need to log in before you can comment on or make changes to this bug.